<?php

namespace sistcertificado\Http\Controllers;
use Illuminate\Http\Request;

use sistcertificado\Http\Requests;

use sistcertificado\User;
use Illuminate\Support\Facades\Redirect;
use sistcertificado\Http\Requests\UsuarioFormRequest;
use DB;

class UsuarioController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(Request $request)
    {
        if ($request)
        {
            $query=trim($request->get('searchText'));
            $usuarios=DB::table('users')->where('name','LIKE','%'.$query.'%')
            ->orderBy('id','desc')
            ->paginate(15);
            return view('curso.usuario.index',["usuarios"=>$usuarios,"searchText"=>$query]);
        }
    }

    public function create()
    {
        return view("curso.usuario.create");
    }
    public function store (UsuarioFormRequest $request)
    {
        $usuario=new User;
        $usuario->name=$request->get('name');
        $usuario->email=$request->get('email');
        $usuario->password=bcrypt($request->get('password'));
        $usuario->dni_usuario=$request->get('dni_usuario');
        $usuario->telefono_usuario=$request->get('telefono_usuario');
        $usuario->rol_usuario='inscrito';
        $usuario->save();
        return Redirect::to('curso/usuario');
    }
    public function edit($id)
    {
        return view("curso.usuario.edit",["usuario"=>User::findOrFail($id)]);
    }    
    public function update(UsuarioFormRequest $request,$id)
    {
        $usuario=User::findOrFail($id);
        $usuario->name=$request->get('name');
        $usuario->email=$request->get('email');
        $usuario->password=bcrypt($request->get('password'));
        $usuario->dni_usuario=$request->get('dni_usuario');
        $usuario->telefono_usuario=$request->get('telefono_usuario');
        $usuario->update();
        return Redirect::to('curso/usuario');
    }
    public function destroy($id)
    {
        $usuario = DB::table('users')->where('id', '=', $id)->delete();
        return Redirect::to('curso/usuario');
    }
}
