@extends ('layouts.admin')
@section ('contenido')
	<div class="row">
		<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
			<h3>Editar Curso: {{ $curso->nombre_curso}}</h3>
			@if (count($errors)>0)
			<div class="alert alert-danger">
				<ul>
				@foreach ($errors->all() as $error)
					<li>{{$error}}</li>
				@endforeach
				</ul>
			</div>
			@endif
		</div>
	</div>

			{!!Form::model($curso, ['method'=>'PATCH','route'=> ['curso.curso.update',$curso->idcurso]])!!}<!--creamos el formulario y le damos los prametros es importante patch es editar-->
			{{Form::token()}}<!--agregamos un token-->
            <div class="row">

            	<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
					<div class="form-group">
            			<label for="nombre_curso">Nombre</label>
            			<input type="text" name="nombre_curso" required value="{{$curso->nombre_curso}}" maxlength="100" class="form-control">
           			 </div>
				</div>

				<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
					<div class="form-group">
						<label>Categoría</label>
						<select name="idcategoria" class="form-control">
							@foreach ($categorias as $cat)
								@if ($cat->idcategoria==$curso->idcategoria)
								<option value="{{$cat->idcategoria}}" selected>{{$cat->nombre_categoria}}</option>
								@else
								<option value="{{$cat->idcategoria}}">{{$cat->nombre_categoria}}</option>
								@endif
							@endforeach
						</select>
					</div>
				</div>

				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
					<div class="form-group">
            			<label for="descripcion_curso">Descripción</label>
            			<input type="text" name="descripcion_curso" value="{{$curso->descripcion_curso}}" class="form-control" maxlength="256" placeholder="Descripción...">
           			 </div>			
				</div>
				
				<div class="col-lg-2 col-md-2 col-sm-2 col-xs-12">
					<div class="form-group">
            			<label for="horas">Horas</label>
            			<input type="text" name="horas" value="{{$curso->horas}}" class="form-control">
           			</div>			
				</div>

				<div class="col-lg-2 col-md-2 col-sm-2 col-xs-12">
					<div class="form-group"><!--creamos la fila para ingresar el nombre-->
						<label for="fecha_inicio">Fecha Inicio</label><!--etiqueta-->
						<input name="fecha_inicio" type="date" required value="{{$curso->fecha_inicio}}" class="form-control">
						
					</div>		
				</div>
				
				<div class="col-lg-2 col-md-2 col-sm-2 col-xs-12">
					<div class="form-group"><!--creamos la fila para ingresar el nombre-->
						<label for="fecha_fin">Fecha Fin</label><!--etiqueta-->
						<input name="fecha_fin" type="date" required value="{{$curso->fecha_fin}}" class="form-control" >
						
					</div>		
				</div>		

            </div>

            <div class="form-group">
            	<button class="btn btn-primary" type="submit">Guardar</button>
            	
                <button class="btn btn-danger" onclick="history.go(-1); return false;">Cancelar</button>
           	</div>

			{!!Form::close()!!}		
            
		
@endsection